Podręcznik PHP
Poprzedni |  | Następny

# XMLReader::XML

(no version information, might be only in CVS)

XMLReader::XML -- Set the data containing the XML to parse

## Opis

class XMLReader {
bool open ( string source [, string encoding [, int options]] )
}

Set the data containing the XML to parse.

## Parametry

`source`

  String containing the XML to be parsed.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

## Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu, `FALSE` w przypadku porażki.

## Rejestr zmian

Wersja | Opis
--- | ---
5.2.0 | `encoding` and `options` were added.

## Patrz także

XMLReader::open
XMLReader::close

Poprzedni | Spis treści | Następny
XMLReader::setRelaxNGSchemaSource | Początek rozdziału | XMLWriter Functions